package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxMorningMeetingReviewLog struct {
	LogId                int       `orm:"column(log_id);pk"`
	MeetingTime          time.Time `description:"晨会日期"`
	CreateTime           time.Time `description:"创建时间"`
	ModifyTime           time.Time `description:"修改时间"`
	IndustryId           int       `description:"产业ID"`
	IndustryName         string    `description:"产业名称"`
	ChartPermissionName  string    `description:"行业名称"`
	ChartPermissionId    int       `description:"行业ID"`
	IndustrialSubjectIds string    `description:"标的ID"`
	MeetingId            int       `description:"主表ID"`
	Content              string    `description:"内容"`
	ReportLink           string    `description:"报告链接"`
	LinkArticleId        int       `description:"跳转的文章ID"`
	Title                string    `description:"标题"`
	Remark               string    `description:"备注说明"`
	Operate              string    `description:"操作内容"`
	OpUserId             int       `description:"操作人编号"`
	OpUserName           string    `description:"操作人名称"`
}

// 添加晨报点评章节日志信息
func AddCygxMorningMeetingReviewLog(item *CygxMorningMeetingReviewLog) (newId int64, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	newId, err = o.Insert(item)
	return
}

func GetCygxMorningMeetingReviewLogByLogId(logId int) (item *CygxMorningMeetingReviewLog, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT * FROM cygx_morning_meeting_review_log WHERE  log_id =  ? `
	err = o.Raw(sql, logId).QueryRow(&item)
	return
}
