package company_apply

import (
	"fmt"
	"hongze/hz_crm_api/models/company"
	"hongze/hz_crm_api/services/alarm_msg"
	"hongze/hz_crm_api/utils"
	"time"
)

// 权益销售冻结销售申请试用，审批通过后，将申请内容添加到备注
func AddCompanyHistoryRemarkByCompanyApply(recodeInfo *company.CompanyApproval) {
	if recodeInfo.ProductId != 2 {
		return
	}
	var err error
	defer func() {
		if err != nil {
			fmt.Println("err：", err)
			go alarm_msg.SendAlarmMsg(fmt.Sprint(" 权益销售冻结销售申请试用，审批通过后，将申请内容添加到备注 失败，AddCompanyHistoryRemarkByCompanyApply Err：", err.Error(), recodeInfo), 3)
		}
	}()

	item := new(company.CompanyHistoryRemark)
	item.CompanyId = recodeInfo.CompanyId
	item.ProductId = 2
	item.Content = recodeInfo.ApplyReasons
	item.SysAdminId = recodeInfo.ApplyUserId
	item.SysAdminName = recodeInfo.ApplyRealName
	item.CreateTime = time.Now()
	item.ModifyTime = time.Now()
	item.ShowTime = time.Now()
	item.TableName = "company_approval"
	item.TableId = recodeInfo.CompanyApprovalId
	err = company.AddCompanyHistoryRemark(item)
	return
}

//func init() {
//	init16_9_2()
//}

func init16_9_2() {
	var condition string
	var pars []interface{}
	condition = "  AND  product_id = 2   AND approve_content = '冻结转试用'  AND approve_status = '已审批' "

	CompanyApprovalList, e := company.GetCompanyApprovalList(condition, pars)
	if e != nil && e.Error() != utils.ErrNoRow() {
		fmt.Println(e)
		return
	}
	fmt.Println(len(CompanyApprovalList))
	//return

	for k, recodeInfo := range CompanyApprovalList {
		item := new(company.CompanyHistoryRemark)
		item.CompanyId = recodeInfo.CompanyId
		item.ProductId = 2
		item.Content = recodeInfo.ApplyReasons
		item.SysAdminId = recodeInfo.ApplyUserId
		item.SysAdminName = recodeInfo.ApplyRealName
		item.CreateTime = time.Now()
		item.ModifyTime = time.Now()
		item.ShowTime = recodeInfo.ApproveTime
		item.TableName = "company_approval"
		item.TableId = recodeInfo.CompanyApprovalId
		err := company.AddCompanyHistoryRemark(item)
		fmt.Println(k, "____", err)
	}

}
